#pragma once

#include "mqtt_wrapper.h"

namespace offcn
{
	class CmdProcesserClient : public CmdObserver
	{
	public:
		CmdProcesserClient();
		~CmdProcesserClient();

	public:
		bool Connect();
		bool SubscribeTopic();

	public:
		/**
		 * CmdObserver
		 */
		virtual void OnServerConnectSuccess();
		virtual void OnServerConnectFailure();
		virtual void OnServerSubscribeSuccess();
		virtual void OnServerSubscribeFailure();
		virtual void OnServerMessageArrived(std::string topic, std::string message);

	private:
		MqttWrapper	*mqtt_wrapper_;
	};
}